Skip to main content
GET
/
payments
/
items
Get All Items
curl --request GET \
  --url https://api.rootfi.dev/v4/payments/items \
  --header 'api_key: <api-key>'
{
  "data": [
    {
      "rootfi_id": 4001,
      "rootfi_deleted_at": null,
      "rootfi_created_at": "2025-01-01T00:00:00Z",
      "rootfi_updated_at": "2025-01-15T10:00:00Z",
      "rootfi_company_id": 999,
      "platform_id": "prod_stripe_001",
      "name": "Premium Plan",
      "description": "Full access to all premium features",
      "sku": "PREM-001",
      "price": 99.99,
      "currency_id": "USD",
      "type": "service",
      "status": "active",
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-15T10:00:00Z",
      "variants": [
        {
          "rootfi_id": 4101,
          "platform_id": "var_stripe_001",
          "name": "Monthly",
          "sku": "PREM-001-MO",
          "price": 99.99,
          "attributes": {
            "billing_period": "month"
          }
        },
        {
          "rootfi_id": 4102,
          "platform_id": "var_stripe_002",
          "name": "Annual",
          "sku": "PREM-001-YR",
          "price": 999.99,
          "attributes": {
            "billing_period": "year"
          }
        }
      ]
    }
  ],
  "prev": "eyJyb290ZmlfaWQiOjQ0MDA2MX0=",
  "next": "eyJyb291ZmlfaWQiOjQ0MDA2MX0=",
  "total_count": 123
}
The Items Data Model represents products or services in your catalog, including support for variants with different configurations and pricing.

Authorizations

api_key
string
header
required

Query Parameters

limit
integer | null

The number of items links you want to retrieve

next
string | null

The next page of objects to retrieve

prev
string | null

The previous page of objects to retrieve

select
string | null

Comma separated fields to select. Supported values are raw_data, data_hash

rootfi_updated_at[gte]
string | null

Filter by rootfi_updated_at Greater than or Equal To.

rootfi_company_id[eq]
integer | null

Filter by rootfi_company_id. You can filter by any field using this syntax field_name[operator]

include_deleted_records
string | null

Include deleted records. By default, deleted records are not included. Supported values are true and false

return_count
string | null

Return the count of the objects. Supported values are true and false

sort[rootfi_created_at]
enum<string> | null

Sort by rootfi_created_at

Available options:
ASC,
DESC
sort[rootfi_updated_at]
enum<string> | null

Sort by rootfi_updated_at

Available options:
ASC,
DESC

Response

The data of the payments endpoint.

data
paymentsItemsObject · object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects